Brocade Management Software Community

Expand all | Collapse all

BNA v14.1 ?

Jump to Best Answer
  • 1.  BNA v14.1 ?

    Posted 04-11-2016 06:51 AM

    Hi,

     

    I am looking at the release notes for NOS v7.0.0 and it is mentioned that Brocade Network Advisor (BNA) v14.1 (available separately) supports NOS v7.0.0. It is required to first upgrade to BNA v14.1 and then upgrade switches to Network OS v7.0.0.

     

    When I go to the download page for BNA there is no BNA v14.1. I only see BNA v14.0. Am i missing something here?

     

    Thanks,

     

     

     


    #BrocadeManagementSoftwareCommunity


  • 2.  Re: BNA v14.1 ?
    Best Answer

    Posted 04-11-2016 11:35 PM

    No, you're not missing anything. BNA 14.0 is the currently available version.

     

    BNA 14.0.1 will be the next version released, which should include NOS 7.0 support. That shouldn't be too far away.


    #BrocadeManagementSoftwareCommunity


  • 3.  Re: BNA v14.1 ?

    Posted 04-13-2016 02:19 PM

    Dear Lindsay,

     

    Am I to understand that devices running NOS7.0 can't be handled by BNA server running versions prior to 14.1 ? If so, that would explain why hitting a wall when trying to add a 4 node 7.0 ethernet fabric on my 12.4.4 BNA server.

     

    Could you please share BNA 14.1 estimated GA date please ?

     

    Best regards.


    #BrocadeManagementSoftwareCommunity


  • 4.  Re: BNA v14.1 ?

    Posted 04-13-2016 06:12 PM

    NOS 7.0 will be supported in a BNA 14.0.1 release targeted for 6th May release,

     

    thanks,

     

    Ken/


    #BrocadeManagementSoftwareCommunity


  • 5.  Re: BNA v14.1 ?

    Posted 04-13-2016 10:08 PM

    Hi Ken,

     

    Is it 14.0.1 or 14.1 ?

     

    BR.


    #BrocadeManagementSoftwareCommunity


  • 6.  Re: BNA v14.1 ?

    Posted 04-15-2016 08:44 AM

    It is 14.0.1.

    There will be a 14.1 release later this year.

     

    regards,

     

    Ken/


    #BrocadeManagementSoftwareCommunity


  • 7.  Re: BNA v14.1 ?

    Posted 04-15-2016 08:47 AM

    Dear Ken,

     

    Could you please share targeted GA for BNA 14.1 please ?

     

    BR.


    #BrocadeManagementSoftwareCommunity


  • 8.  Re: BNA v14.1 ?

    Posted 04-18-2016 12:41 PM

    @ybzahr wrote:

    Dear Ken,

     

    Could you please share targeted GA for BNA 14.1 please ?

     

    BR.


    It's later this year. But you don't need 14.1 for NOS 7.0 support. BNA 14.0.1 will work. There was a typo in the NOS 7.0 release notes.


    #BrocadeManagementSoftwareCommunity


  • 9.  Re: BNA v14.1 ?

    Posted 04-19-2016 03:01 AM

    Dear Ken,

     

    I'm asking because if I'm trusting this post, then I will have to wait for BNA 14.1 in order to upgrade because I'm in this exact case :

     

    http://community.brocade.com/t5/Management-Software/Network-Advisor-upgrade-from-12-2-0-to-14-0-0-Migration-path/m-p/84288#U84288

     

    I was hoping BNA 14.0.1 would adress this as I'm in the process of deploying new VX gear running NOS7.0. Could you please shead some light here ?

     

    Thank you.


    #BrocadeManagementSoftwareCommunity


  • 10.  Re: BNA v14.1 ?

    Posted 04-19-2016 03:09 AM

    ybzahr,

     

    --->>>I was hoping BNA 14.0.1 would adress this....

     

    ignore the info in the release notes

     

    "Only Brocade Network Advisor (BNA) v14.1 (available separately) supports NOS v7.0.0."

     

    As mentioned from Lindsay in preview post "14.1" is a Typo!!!!!!!!!!!!

     

    NOS 7.x will be supported in upcoming Release 14.0.1

     

     


    #BrocadeManagementSoftwareCommunity


  • 11.  Re: BNA v14.1 ?

    Posted 05-06-2016 04:07 PM

    BNA 14.0.1 GA has been published to the usual location.

     

    From the release notes, under "New Enhancements":

        "Network OS platform support

             Network OS 7.0"

     

    Lots of other RFEs in there, mostly SAN-related, but some might be relevant to you, e.g. MAPS policy editing.

     


    #BrocadeManagementSoftwareCommunity


  • 12.  Re: BNA v14.1 ?

    Posted 05-07-2016 12:10 AM

    Dear Lindsay,

     

    I know, one of the TAC engineers was kind enough to provide me with the installation package a few hours "earlier".

     

    I did upgrade succesfully from 12.4.4 to 14.0.1 but I'm still not able to add devices running NOS7.0 to BNA.

     

    The TAC engineer is looking into it, I can always share ticket number with you via MP.

     

    Best regards.


    #BrocadeManagementSoftwareCommunity


  • 13.  Re: BNA v14.1 ?

    Posted 05-07-2016 09:30 PM

    What happens when you try to add those devices?

     

    My first guest would be SNMP mis configuration. Since 6.x it's been a little more complicated, with the need to configure views. 


    #BrocadeManagementSoftwareCommunity


  • 14.  Re: BNA v14.1 ?

    Posted 05-08-2016 02:58 AM

    Hello Lindsay,

     

    Well, BNA server tries to discover the device but ends up showing the following error message :

     

    "A.B.C.D did not respond to SNMP".

     

    SNMP configuration is pretty straight forward :

     

    snmp-server contact xyz@xyz.com
    snmp-server location "xyz"
    snmp-server sys-descr fab02-par02
    snmp-server enable trap
    snmp-server community ABC
    snmp-server host 172.16.49.211 ABC
     version 2c
     severity-level Info
     use-vrf mgmt-vrf
    !
    snmp-server host 172.16.49.44 ABC
     version 2c
     severity-level Info
     use-vrf mgmt-vrf
    !
    snmp-server host 172.16.49.50 ABC
     version 2c
     severity-level Info
     use-vrf mgmt-vrf
    !

     

    It's not an IP connectivity issue as I'm able to reach the fabric from the BNA server. It's a four node ethernet fabric running as logical-chassis. Result is the same if I try polling either virtual-fabric mgmt IP or physical switchs' mgmt IPs.

     

    I had a case (#1602619) opened regarding this issue but the TAC engineer said it would be solved with BNA 14.0.1.

     

    I appreciate all the help you can bring to solve this issue.

     

    Best regards.


    #BrocadeManagementSoftwareCommunity


  • 15.  Re: BNA v14.1 ?

    Posted 05-08-2016 03:31 AM

    Yes, as I thought, you need to configure SNMP view settings. See here for more info https://lkhill.com/brocade-vdx-snmp-changes/

     

    You can test this using snmpwalk. Until you get SNMP working, the BNA version doesn't matter. 


    #BrocadeManagementSoftwareCommunity


  • 16.  Re: BNA v14.1 ?

    Posted 05-08-2016 04:00 AM

    Dear Lindsay,

     

    Thanks for the prompt response, that did the trick. I was able to succesfully add the fabric to BNA.

     

    Best regards.


    #BrocadeManagementSoftwareCommunity